Kerbal Space Program - Feedback #9684

[Feature required] Move tool improved alignment required
05/04/2016 09:51 PM - Navi1982

Status: Updated

Severity: Normal

Assignee:

Category: Gameplay

Target version:

Version: 111 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Every time | need to move some parts of only along one axis, automatic grid alignment shifts a part in all three axes. | think this part
should be aligned along only one axis that | pulled. It is possible?
This feature will be highly appreciated! Thanks.

History

#1 - 05/04/2016 11:23 PM - smjjames

Known bug with some parts. Turn off angle snap instead when moving them.

#2 - 05/08/2016 09:30 AM - Navi1982

| know about angle snap... My reason is to align to grid some parts only at one or may be two axis... not to all three. For example: docking ports
attached to big orange tank must be remain at surface, but shifted only along its length... But this feature is much required when creating Mirror
symmetrical ships or rovers, to mentain its CoM, CoA and CoT overlays.

#3 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 07/26/2016 04:12 PM - Navi1982
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

In my opinion, this is mistake (or a bag?) of developers... | think that the best way to Move Tool must work - is that grid alignment occurs only along
one axis, which has been pulled.
